// if you want to create levels file of your own make sure it implements:
// 1. global variable levels
// 2. function initLevels() that initializes levels structure
// 3. function nextLevel() that puts into ExpProperties.level variable the value of next level's index (or -1 if random) 

// descriptions of game levels
global levels;

function initLevels(){
  // define available levels
  // fields in an level array are:
  // 1: name,
  // 2: world size,
  // 3: world band,
  // 4: world type,
  // 5: world map,
  
  levels = Vector.new(); 
  // #1
  levels.add([
			"Small arena", 
            50,                  
            2,
            0,
			""
			]);
			
  // #1
  levels.add([
			"Medium arena", 
            65,                  
            2,
            0,
			""
			]);
  
  // #1
  levels.add([
			"Large arena", 
            80,                  
            2,
            0,
			""
			]);
}